Error
A valid request URL is required to generate request examples{
"content_key": "site.cf637646-71a4-430d-aaea-a66f1a48a83c",
"has_entitlement": true,
"expires": "2023-11-07T05:31:56Z",
"recurs_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}Endpoints
Retrieve entitlement status
Retrieves the entitlement status for the given content key.
GET
/
entitlements
/
{content_key}
Error
A valid request URL is required to generate request examples{
"content_key": "site.cf637646-71a4-430d-aaea-a66f1a48a83c",
"has_entitlement": true,
"expires": "2023-11-07T05:31:56Z",
"recurs_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}capi:read - Read access to Customer API resourcesAuthorizations
Supertab OAuth2 flow for CAPI. See Authentication.
Headers
Path Parameters
Response
Successful Response
A customer's entitlement status to a given content_key
Was this page helpful?